/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.workflow.vo;

import jp.mosp.common.MosPVo;

/**
 * @author yoshida
 *
 */
public class ApplicationMenuVo extends MosPVo {
	
	private static final long	serialVersionUID	= 5831631444403783909L;
	
	// フィールド
	private String[][]			aryApplicationMenu;
	

	/**
	 * コンストラクタ
	 */
	public ApplicationMenuVo() {
		super();
		setViewPath(getClassName());
		aryApplicationMenu = new String[0][0];
	}
	
	@Override
	public void setSubTitle() {
		subTitle = "各種申請";
		createAryMenu(CMD_MENU_INPUT);
	}
	
	/**
	 * フィールド設定
	 * @param aryApplicationMenu	各種申請メニューボタン配列 
	 */
	public void setFields(String[][] aryApplicationMenu) {
		this.aryApplicationMenu = escapeArray(aryApplicationMenu.clone());
	}
	
	// アクセサメソッド
	/**
	 * @return 	aryApplicationMenu
	 */
	public String[][] getEscAryApplicationMenu() {
		return aryApplicationMenu.clone();
	}
	
}
